Bug 848618 - 1.69 second delay after ip -6 addr add before ip -6 route add for new ip works (scripting)
1.69 second delay after ip -6 addr add before ip -6 route add for new ip work...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 23:26 EDT by linux user
Modified: 2013-07-31 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:36:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description linux user 2012-08-15 23:26:48 EDT
Description of problem:
after adding an ipv6 ip with "ip addr add" you can not add a route for that ip for 1.69 seconds.

Version-Release number of selected component (if applicable):
ip utility, iproute2-ss120319

How reproducible:
100%

Steps to Reproduce:
i wrote a bash script to demo the problem:
script will add an ip (2001::5) then attempt to add a route for that ip as fast as possible (with timestamps). 

CHANGE em1 TO YOUR INTERFACE (two occurrences)
ip addr replace 2012::5 dev em1 && while :; do echo "`date +%s-%N` `ip -6 route replace 2012::/64 dev em1 src 2012::5 2>&1`" >> temp; done

contents to temp will start with a few hundred (200-400) lines of:
Example: 1345085902-895959857 RTNETLINK answers: Invalid argument
then change once the route is successfully added
Example: 1345085902-895959857

It takes about 1.69 seconds on average before a route can be added which is annoying for scripts.


Actual results:
delay

Expected results:
no delay (works for ipv4 just fine)

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:01:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:36:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.